using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[PrimaryKey("FormName", "ProcessId")]
[Table("ATForm")]
[Index("ProcessId", Name = "ATForm_IX_ProcessId")]
public partial class Atform
{
    [Key]
    [StringLength(255)]
    public string FormName { get; set; } = null!;

    [Key]
    [Column("ProcessID")]
    public int ProcessId { get; set; }

    public int? Type { get; set; }

    [StringLength(255)]
    public string? Path { get; set; }

    [StringLength(255)]
    public string? Description { get; set; }

    public Guid? ObjectId { get; set; }

    [ForeignKey("ProcessId")]
    [InverseProperty("Atforms")]
    public virtual AtprocessDefinition Process { get; set; } = null!;
}
